
Figure - Bug #118423
【IOVDEV-32043】【自动化测试】【稳定性测试】【副屏】【VC1】稳定性测试，副屏重启（自动化台架2）
2023-06-01 14:04 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-01

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: 重启 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: ��【中控版本号】：03.02.0086.c101����【副屏版本号】：01.00.0100.c103

Resolution: DUPLICATE Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause: 与 #118052 相同

Description

【重启时间】：2023/5/31 18:00 ~ 6/1 09:00之间

【前提条件】：副屏上电

【操作步骤】

【前提条件】.副屏正常可以操作

1.执行monkey稳定性测试

【实际结果】

1.monkey停止运行，安卓系统重启

【期望结果】

1.副屏正常再跑monkey命令

【备注】：

adb shell

ps -ef | grep system_server

发现system_server PID 20000+，system_srever被kill掉，安卓重启

【VIN号】：HRYTTESTVINMGM468

【台架环境】：中控+AMP+IDCM

【中控版本号】：03.02.0086.c101

【副屏版本号】：01.00.0100.c103

【日志地址】：https://ofs.human-horizons.com/#/download/index/TRBS3nwbPNY%3D

Related issues:

Related to Figure - Bug # 118052: 【IOVDEV-28498】【IOVDEV-3... CLOSED 2023-05-26 2023-06-05

History

#1 - 2023-06-01 14:05 - CDTS_Test 吴诗雨

【VIN号】：HRYTTESTVINMGM468
【台架环境】：中控+AMP+IDCM   / 系统应用+4个三方应用

【中控版本号】：03.02.0086.c101

【副屏版本号】：01.00.0100.c103

日志下载中，稍后上传

#2 - 2023-06-01 15:06 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118423

#3 - 2023-06-01 15:32 - CD FW 曹覃刚

- Status changed from New to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

- % Done changed from 0 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

- Root cause set to 与 #118052 相同

Hi 诗雨

此问题与 #118052 是同件问题，将在 #118052 中跟踪分析

堆栈信息与有差别，但是判断都属于Layer已经释放了还在引用，根本原因相同

surfaceflinger报空指针了，导致系统进程挂了

------------

06-01 09:04:20.707 21820 21820 F DEBUG   : * 

06-01 09:04:20.707 21820 21820 F DEBUG   : Build fingerprint: 'HiPhi/PassengerDisplay_CN/PassengerDisplay:12/SKQ1.220201.001/3388:user/test-keys'

06-01 09:04:20.707 21820 21820 F DEBUG   : Revision: '0'

06-01 09:04:20.707 21820 21820 F DEBUG   : ABI: 'arm64'

06-01 09:04:20.708 21820 21820 F DEBUG   : Timestamp: 2023-06-01 09:04:20.382697596+0800

06-01 09:04:20.708 21820 21820 F DEBUG   : Process uptime: 0s

06-01 09:04:20.708 21820 21820 F DEBUG   : Cmdline: /system/bin/surfaceflinger

06-01 09:04:20.708 21820 21820 F DEBUG   : pid: 915, tid: 915, name: surfaceflinger  >>> /system/bin/surfaceflinger <<<

06-01 09:04:20.708 21820 21820 F DEBUG   : uid: 1000

06-01 09:04:20.708 21820 21820 F DEBUG   : signal 11 (SIGSEGV), code 1 (SEGV_MAPERR), fault addr 0x4

06-01 09:04:20.708 21820 21820 F DEBUG   : Cause: null pointer dereference

06-01 09:04:20.708 21820 21820 F DEBUG   :     x0  b4000071f3945538  x1  b4000070a39fc8c8  x2  b4000070a39fd138  x3  0000000000000001

06-01 09:04:20.708 21820 21820 F DEBUG   :     x4  02000070a39fc8f0  x5  0000007063707c10  x6  0000000000014847  x7  0000000000014847

06-01 09:04:20.708 21820 21820 F DEBUG   :     x8  0000000000000000  x9  0000000000000004  x10 0000000064fc689c  x11 00000000a39fc8e8

06-01 09:04:20.708 21820 21820 F DEBUG   :     x12 0000ffff00000eff  x13 00000000c1b60527  x14 001e22a8d442c000  x15 0000000034155555

06-01 09:04:20.708  1528  8577 I ThunderBoostPerfService: Disable downscaling  com.android.gallery3d to 2380x1020

06-01 09:04:20.708 21820 21820 F DEBUG   :     x16 0000005b6d58cc00  x17 000000737a994dd4  x18 00000073809c2000  x19 0000000000000000

06-01 09:04:20.708 21820 21820 F DEBUG   :     x20 b4000070a39fd138  x21 b4000070a39fc8c8  x22 b4000071f39c5450  x23 000000737fb0e000

06-01 09:04:20.708 21820 21820 F DEBUG   :     x24 000000737fb0e000  x25 b4000071f39c2f48  x26 b4000071b38353e0  x27 0000000000002559

06-01 09:04:20.708 21820 21820 F DEBUG   :     x28 00000000000026bd  x29 0000007ff529cf10

06-01 09:04:20.708 21820 21820 F DEBUG   :     lr  0000005b6d0fc80c  sp  0000007ff529cf10  pc  000000737a994de0  pst 0000000060001000

06-01 09:04:20.708 21820 21820 F DEBUG   : backtrace:

06-01 09:04:20.708 21820 21820 F DEBUG   :       #00 pc 000000000000ede0  /system/lib64/libutils.so (android::RefBase::incStrong(void const) const+12) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #01 pc 000000000015b808  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>
>::do_copy(void*, void const*, unsigned long) const+84) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #02 pc 0000000000014d30  /system/lib64/libutils.so (android::VectorImpl::editArrayImpl()+96) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #03 pc 00000000001af9fc  /system/bin/surfaceflinger (android::SurfaceFlinger::onLayerDestroyed(android::Layer*)+88)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #04 pc 000000000014ea30  /system/bin/surfaceflinger (android::Layer::~Layer()+200) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #05 pc 0000000000114c40  /system/bin/surfaceflinger (android::BufferStateLayer::~BufferStateLayer()+884) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #06 pc 0000000000114d54  /system/bin/surfaceflinger (virtual thunk to android::BufferStateLayer::~BufferStateLayer()+32)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #07 pc 000000000000ef34  /system/lib64/libutils.so (android::RefBase::decStrong(void const*) const+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #08 pc 000000000015b79c  /system/bin/surfaceflinger (android::SortedVector<android::sp<android::Layer>

>::do_destroy(void*, unsigned long) const+68) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #09 pc 0000000000015f5c  /system/lib64/libutils.so (android::VectorImpl::_shrink(unsigned long, unsigned long)+608)

(BuildId: b940f836006eead456c936e97e64d2d4)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #10 pc 000000000019ec74  /system/bin/surfaceflinger (android::SurfaceFlinger::commitTransactionLocked()+416)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #11 pc 0000000000195ecc  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageInvalidate(long, long)+7872)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #12 pc 0000000000193f84  /system/bin/surfaceflinger (android::SurfaceFlinger::onMessageReceived(int, long, long)+56)

(BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #13 pc 0000000000017f64  /system/lib64/libutils.so (android::Looper::pollInner(int)+372) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #14 pc 0000000000017d84  /system/lib64/libutils.so (android::Looper::pollOnce(int, int*, int*, void**)+116) (BuildId:

b940f836006eead456c936e97e64d2d4)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #15 pc 000000000016f71c  /system/bin/surfaceflinger (android::impl::MessageQueue::waitMessage()+88) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #16 pc 0000000000189080  /system/bin/surfaceflinger (android::SurfaceFlinger::run()+16) (BuildId:

8958ca1cdc030c3e3967c8ecef82dddb)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #17 pc 00000000001d6c40  /system/bin/surfaceflinger (main+1640) (BuildId: 8958ca1cdc030c3e3967c8ecef82dddb)

06-01 09:04:20.708 21820 21820 F DEBUG   :       #18 pc 000000000004a084  /apex/com.android.runtime/lib64/bionic/libc.so (__libc_init+100) (BuildId:

369edc656806aeaf384cbeb8f7a347af)

06-01 09:04:20.769  1528  1631 E AndroidRuntime: *** FATAL EXCEPTION IN SYSTEM PROCESS: android.anim

06-01 09:04:20.769  1528  1631 E AndroidRuntime: android.view.Surface$OutOfResourcesException

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at android.view.SurfaceControl.nativeCreate(Native Method)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at android.view.SurfaceControl.<init>(SurfaceControl.java:1435)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at android.view.SurfaceControl.<init>(SurfaceControl.java:87)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at android.view.SurfaceControl$Builder.build(SurfaceControl.java:1108)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at com.android.server.wm.SurfaceAnimator.createAnimationLeash(SurfaceAnimator.java:424)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at com.android.server.wm.SurfaceAnimator.startAnimation(SurfaceAnimator.java:173)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at com.android.server.wm.WindowContainer.startAnimation(WindowContainer.java:2526)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at com.android.server.wm.WindowContainer.startAnimation(WindowContainer.java:2533)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at com.android.server.wm.FadeAnimationController.fadeWindowToken(FadeAnimationController.java:85)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at

com.android.server.wm.NavBarFadeAnimationController.lambda$fadeWindowToken$0$NavBarFadeAnimationController(NavBarFadeAnimationController.java:92)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at com.android.server.wm.NavBarFadeAnimationController$$ExternalSyntheticLambda0.run(Unknown Source:4)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at

com.android.server.wm.NavBarFadeAnimationController.fadeWindowToken(NavBarFadeAnimationController.java:95)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at

com.android.server.wm.NavBarFadeAnimationController$NavFadeAnimationAdapter.shouldDeferAnimationFinish(NavBarFadeAnimationController.java:161)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at
com.android.server.wm.SurfaceAnimator.lambda$getFinishedCallback$1$SurfaceAnimator(SurfaceAnimator.java:134)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at com.android.server.wm.SurfaceAnimator$$ExternalSyntheticLambda0.onAnimationFinished(Unknown Source:4)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at

com.android.server.wm.LocalAnimationAdapter.lambda$startAnimation$0$LocalAnimationAdapter(LocalAnimationAdapter.java:56)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at com.android.server.wm.LocalAnimationAdapter$$ExternalSyntheticLambda0.run(Unknown Source:6)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at android.os.Handler.handleCallback(Handler.java:938)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:99)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at android.os.HandlerThread.run(HandlerThread.java:67)

06-01 09:04:20.769  1528  1631 E AndroidRuntime:     at com.android.server.ServiceThread.run(ServiceThread.java:44)

------------

#4 - 2023-06-02 15:59 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#5 - 2023-06-02 15:59 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED
